<ui version="4.0" >
 <class>KeyboardConfigWidget</class>
 <widget class="QWidget" name="KeyboardConfigWidget" >
  <property name="geometry" >
   <rect>
    <x>0</x>
    <y>0</y>
    <width>599</width>
    <height>381</height>
   </rect>
  </property>
  <layout class="QVBoxLayout" >
   <property name="leftMargin" >
    <number>0</number>
   </property>
   <property name="topMargin" >
    <number>0</number>
   </property>
   <property name="rightMargin" >
    <number>0</number>
   </property>
   <property name="bottomMargin" >
    <number>0</number>
   </property>
   <item>
    <widget class="QGroupBox" name="groupBox1" >
     <property name="title" >
      <string>Keyboard Repeat</string>
     </property>
     <layout class="QGridLayout" >
      <item row="0" column="0" colspan="2" >
       <widget class="QCheckBox" name="repeatBox" >
        <property name="whatsThis" >
         <string>If you check this option, pressing and holding down a key emits the same character over and over again. For example, pressing and holding down the Tab key will have the same effect as that of pressing that key several times in succession: Tab characters continue to be emitted until you release the key.</string>
        </property>
        <property name="text" >
         <string>&amp;Enable keyboard repeat</string>
        </property>
        <property name="checked" >
         <bool>true</bool>
        </property>
       </widget>
      </item>
      <item row="1" column="0" >
       <widget class="QLabel" name="lblDelay" >
        <property name="sizePolicy" >
         <sizepolicy vsizetype="Preferred" hsizetype="Fixed" >
          <horstretch>0</horstretch>
          <verstretch>0</verstretch>
         </sizepolicy>
        </property>
        <property name="text" >
         <string>&amp;Delay:</string>
        </property>
        <property name="buddy" >
         <cstring>delay</cstring>
        </property>
       </widget>
      </item>
      <item row="1" column="1" >
       <widget class="QSlider" name="delaySlider" >
        <property name="whatsThis" >
         <string>If supported, this option allows you to set the delay after which a pressed key will start generating keycodes. The 'Repeat rate' option controls the frequency of these keycodes.</string>
        </property>
        <property name="minimum" >
         <number>0</number>
        </property>
        <property name="maximum" >
         <number>10000</number>
        </property>
        <property name="singleStep" >
         <number>1000</number>
        </property>
        <property name="pageStep" >
         <number>1000</number>
        </property>
        <property name="value" >
         <number>5000</number>
        </property>
        <property name="orientation" >
         <enum>Qt::Horizontal</enum>
        </property>
        <property name="tickInterval" >
         <number>1000</number>
        </property>
       </widget>
      </item>
      <item row="1" column="2" >
       <widget class="KIntNumInput" native="1" name="delay" >
        <property name="whatsThis" >
         <string>If supported, this option allows you to set the delay after which a pressed key will start generating keycodes. The 'Repeat rate' option controls the frequency of these keycodes.</string>
        </property>
       </widget>
      </item>
      <item row="2" column="0" >
       <widget class="QLabel" name="lblRate" >
        <property name="sizePolicy" >
         <sizepolicy vsizetype="Preferred" hsizetype="Fixed" >
          <horstretch>0</horstretch>
          <verstretch>0</verstretch>
         </sizepolicy>
        </property>
        <property name="text" >
         <string>&amp;Rate:</string>
        </property>
        <property name="buddy" >
         <cstring>rate</cstring>
        </property>
       </widget>
      </item>
      <item row="2" column="1" >
       <widget class="QSlider" name="rateSlider" >
        <property name="whatsThis" >
         <string>If supported, this option allows you to set the rate at which keycodes are generated while a key is pressed.</string>
        </property>
        <property name="minimum" >
         <number>0</number>
        </property>
        <property name="maximum" >
         <number>10000</number>
        </property>
        <property name="singleStep" >
         <number>1000</number>
        </property>
        <property name="pageStep" >
         <number>1000</number>
        </property>
        <property name="value" >
         <number>5000</number>
        </property>
        <property name="orientation" >
         <enum>Qt::Horizontal</enum>
        </property>
        <property name="tickInterval" >
         <number>1000</number>
        </property>
       </widget>
      </item>
      <item row="2" column="2" >
       <widget class="KDoubleNumInput" native="1" name="rate" >
        <property name="whatsThis" >
         <string>If supported, this option allows you to set the rate at which keycodes are generated while a key is pressed.</string>
        </property>
       </widget>
      </item>
     </layout>
    </widget>
   </item>
   <item>
    <widget class="KButtonGroup" native="1" name="numlockGroup" >
     <property name="whatsThis" >
      <string>If supported, this option allows you to setup the state of NumLock after KDE startup.&lt;p>You can configure NumLock to be turned on or off, or configure KDE not to set NumLock state.</string>
     </property>
     <property name="title" stdset="0" >
      <string>NumLock on KDE Startup</string>
     </property>
     <layout class="QGridLayout" >
      <item row="0" column="0" >
       <widget class="QRadioButton" name="RadioButton1" >
        <property name="text" >
         <string>T&amp;urn on</string>
        </property>
       </widget>
      </item>
      <item row="1" column="0" >
       <widget class="QRadioButton" name="RadioButton1_2" >
        <property name="text" >
         <string>Turn o&amp;ff</string>
        </property>
       </widget>
      </item>
      <item row="2" column="0" >
       <widget class="QRadioButton" name="RadioButton1_3" >
        <property name="text" >
         <string>Leave unchan&amp;ged</string>
        </property>
       </widget>
      </item>
     </layout>
    </widget>
   </item>
   <item>
    <widget class="QLabel" name="TextLabel1" >
     <property name="whatsThis" >
      <string>If supported, this option allows you to hear audible clicks from your computer's speakers when you press the keys on your keyboard. This might be useful if your keyboard does not have mechanical keys, or if the sound that the keys make is very soft.&lt;p>You can change the loudness of the key click feedback by dragging the slider button or by clicking the up/down arrows on the spin box. Setting the volume to 0% turns off the key click.</string>
     </property>
     <property name="text" >
      <string>Key click &amp;volume:</string>
     </property>
     <property name="buddy" >
      <cstring>click</cstring>
     </property>
    </widget>
   </item>
   <item>
    <widget class="KIntNumInput" native="1" name="click" >
     <property name="whatsThis" >
      <string>If supported, this option allows you to hear audible clicks from your computer's speakers when you press the keys on your keyboard. This might be useful if your keyboard does not have mechanical keys, or if the sound that the keys make is very soft.&lt;p>You can change the loudness of the key click feedback by dragging the slider button or by clicking the up/down arrows on the spin box. Setting the volume to 0% turns off the key click.</string>
     </property>
    </widget>
   </item>
   <item>
    <spacer>
     <property name="orientation" >
      <enum>Qt::Vertical</enum>
     </property>
     <property name="sizeHint" >
      <size>
       <width>20</width>
       <height>40</height>
      </size>
     </property>
    </spacer>
   </item>
  </layout>
 </widget>
 <layoutdefault spacing="6" margin="11" />
 <layoutfunction spacing="KDialog::spacingHint" margin="KDialog::marginHint" />
  <customwidgets>
  <customwidget>
   <class>KDoubleNumInput</class>
   <extends>QWidget</extends>
   <header>knuminput.h</header>
   <container>1</container>
  </customwidget>
  <customwidget>
   <class>KIntNumInput</class>
   <extends>QWidget</extends>
   <header>knuminput.h</header>
   <container>1</container>
  </customwidget>
  <customwidget>
   <class>KButtonGroup</class>
   <extends>QWidget</extends>
   <header>kbuttongroup.h</header>
  </customwidget>
 </customwidgets>
 <tabstops>
  <tabstop>repeatBox</tabstop>
  <tabstop>click</tabstop>
  <tabstop>RadioButton1</tabstop>
  <tabstop>RadioButton1_2</tabstop>
  <tabstop>RadioButton1_3</tabstop>
 </tabstops>
 <resources/>
 <connections>
  <connection>
   <sender>repeatBox</sender>
   <signal>toggled(bool)</signal>
   <receiver>delaySlider</receiver>
   <slot>setEnabled(bool)</slot>
   <hints>
    <hint type="sourcelabel" >
     <x>20</x>
     <y>20</y>
    </hint>
    <hint type="destinationlabel" >
     <x>20</x>
     <y>20</y>
    </hint>
   </hints>
  </connection>
  <connection>
   <sender>repeatBox</sender>
   <signal>toggled(bool)</signal>
   <receiver>delay</receiver>
   <slot>setEnabled(bool)</slot>
   <hints>
    <hint type="sourcelabel" >
     <x>20</x>
     <y>20</y>
    </hint>
    <hint type="destinationlabel" >
     <x>20</x>
     <y>20</y>
    </hint>
   </hints>
  </connection>
  <connection>
   <sender>repeatBox</sender>
   <signal>toggled(bool)</signal>
   <receiver>rateSlider</receiver>
   <slot>setEnabled(bool)</slot>
   <hints>
    <hint type="sourcelabel" >
     <x>20</x>
     <y>20</y>
    </hint>
    <hint type="destinationlabel" >
     <x>20</x>
     <y>20</y>
    </hint>
   </hints>
  </connection>
  <connection>
   <sender>repeatBox</sender>
   <signal>toggled(bool)</signal>
   <receiver>rate</receiver>
   <slot>setEnabled(bool)</slot>
   <hints>
    <hint type="sourcelabel" >
     <x>20</x>
     <y>20</y>
    </hint>
    <hint type="destinationlabel" >
     <x>20</x>
     <y>20</y>
    </hint>
   </hints>
  </connection>
  <connection>
   <sender>repeatBox</sender>
   <signal>toggled(bool)</signal>
   <receiver>lblDelay</receiver>
   <slot>setEnabled(bool)</slot>
   <hints>
    <hint type="sourcelabel" >
     <x>20</x>
     <y>20</y>
    </hint>
    <hint type="destinationlabel" >
     <x>20</x>
     <y>20</y>
    </hint>
   </hints>
  </connection>
  <connection>
   <sender>repeatBox</sender>
   <signal>toggled(bool)</signal>
   <receiver>lblRate</receiver>
   <slot>setEnabled(bool)</slot>
   <hints>
    <hint type="sourcelabel" >
     <x>20</x>
     <y>20</y>
    </hint>
    <hint type="destinationlabel" >
     <x>20</x>
     <y>20</y>
    </hint>
   </hints>
  </connection>
 </connections>
</ui>